// AppMain.cpp : AvP[ṼGg |Cg`܂B
//

#include "stdafx.h"
#include "AppMain.h"


TCHAR g_AppPath[MAX_PATH];
TCHAR g_AppDir[MAX_PATH];

void GetDirFromFullPath(LPTSTR Dest, LPCTSTR File)
{
	TCHAR* p;
	_tcscpy(Dest, File);
	p = _tcsrchr(Dest, _T('\\'));
	if(p)
		*p = _T('\0');
}

void SetAppDir()
{
	GetModuleFileName(NULL, g_AppPath, MAX_PATH - 1);
	GetDirFromFullPath(g_AppDir, g_AppPath);
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPTSTR lpCmdLine, int nCmdShow)
{
	HWND hWnd;
	TCHAR Temp[MAX_PATH];
	PROCESS_INFORMATION pi;
	SetAppDir();
	hWnd = FindWindow(_T("Japanese Input for SHARP Brain"), NULL);
	if(!hWnd)
	{
		_stprintf(Temp, _T("%s\\jiserver.exe"), g_AppDir);
		if(CreateProcess(Temp, NULL, NULL, NULL, FALSE, 0, NULL, NULL, NULL, &pi))
		{
			while(!hWnd)
			{
				Sleep(1000);
				hWnd = FindWindow(_T("Japanese Input for SHARP Brain"), NULL);
			}
			SetForegroundWindow(hWnd);
		}
		return 0;
	}
	switch(MessageBox(NULL, _T("Yes: Save the user dictionary\nNo: Exit without saving"), _T("Japanese Input for SHARP Brain"), MB_YESNOCANCEL))
	{
	case IDYES:
		SendMessage(hWnd, WM_USER, 0, 0);
		break;
	case IDNO:
		SendMessage(hWnd, WM_CLOSE, 0, 0);
		break;
	}
	return 0;
}

